unit Sub;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm2 = class(TForm)
    Memo1: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private

  public
    procedure   UpdateColor(AColor: TColor);
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.FormCreate(Sender: TObject);
begin
    Self.Caption := ChangeFileExt(ExtractFileName(ParamStr(0)), '') + ' - ' + Self.Name;
end;

procedure TForm2.FormShow(Sender: TObject);
var
    Frm: TForm;
begin
    Frm := Application.MainForm;
    Self.Left := Frm.Left + Frm.Width + 10;
    Self.Top  := Frm.Top;
end;

procedure   TForm2.UpdateColor(AColor: TColor);
var
    C: integer;
    R, G, B: Byte;
begin
    C := ColorToRGB(AColor);
    R := GetRValue(C);
    G := GetGValue(C);
    B := GetBValue(C);

    Memo1.Clear();

    //  낢
    Memo1.Lines.Add(Format('R=%3.3d,G=%3.3d,B=%3.3d', [R, G, B]));
    Memo1.Lines.Add(Format('COLOR=%s', [ColorToString(C)]));
    //  Delphi RGB
    Memo1.Lines.Add(Format('RGB(%3d,%3d,%3d);', [R, G, B]));
    //  Delphi TColor
    Memo1.Lines.Add(Format('TColor(%d);', [C]));
    //  BCB TColor
    Memo1.Lines.Add(Format('(TColor)%d;', [C]));
    //  HTML
    Memo1.Lines.Add(Format('#%s%s%s;', [IntToHex(R, 2), IntToHex(G, 2), IntToHex(B, 2)]));
end;

end.

